Subject: Re: bug#10637: Source file `...' newer than byte-compiled file doesn't say which one was then used

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 14 Oct 2019 05:20:26 +0200

[email-masked] writes:

> The warning
>   Source file `...' newer than byte-compiled file
> isn't clear about which one ends up getting used.
>
> It should say
>   Source file `...' newer than byte-compiled file, using it.
>
> Wait, that isn't clear either.
> It should say
>   Source file `...' newer than byte-compiled file, using the former / or
>   / using the latter / or something like that.

That's a good point.  I realised that I wasn't 100% sure myself what
Emacs actually does in these cases, but it seems like it's using the
(older) .elc file.  I've now made it say so.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no